package ex2;

import ch.usi.dag.disl.annotation.GuardMethod;
import ch.usi.dag.disl.staticcontext.ClassStaticContext;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class IsNotTriviallyThreadGuard {

    @GuardMethod
    public static boolean isNotTriviallyThread(final ClassStaticContext csc, final MethodStaticContext msc) {
        return !msc.isMethodStatic() && !IsTriviallyThreadGuard.isThread(csc, msc);
    }

}
