package ex9;

import ch.usi.dag.disl.annotation.Before;
import ch.usi.dag.disl.marker.BodyMarker;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class Instrumentation {

    @Before(marker = BodyMarker.class,
            guard = IsNotConstructorOrStaticInitializerGuard.class,
            scope = "ex9.MainThread.*")
    static void logCall(final MethodStaticContext isc) {
        Profiler.logCall(Thread.currentThread(), isc.thisMethodFullName());
    }
}
